<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

defined("_JEXEC") or die('Restricted Access');
jimport('joomla.event.plugin');

class plgMassMail_filterBill extends JPlugin
{

	var $result = array();

	function plgMassMail_FilterBill(&$subject)
	{
		parent::__construct($subject);

	}

	function onRenderForm( $params = null)
	{

		$bills = $this->getBills();
		foreach ($bills as $val)
		{
			$options[] = JHTML::_('select.option', $val->id, $val->name);

		}
		$params = new JParameter($params);
		$value = $params->toArray();
		$text = new stdClass();
		$value = isset($value['jcsbills'])? @$value['jcsbills'] : array();
		$text->title = JText::_('User filters by Bills');
		$text->form = '
		<table class="admintable" cellspacing="1" width="100%">
			<tr>
				<td width="150" class="key">
					<label for="subscriptions">'.
		JText::_( 'Include only users with invoices from selected bills' ).' :
					</label>
				</td>
				<td>
					'.JHTML::_('select.genericlist',  $options, 'value_filter[jcsbills][]', 'class="inputbox" MULTIPLE size="6"', 'value', 'text', $value, '' ).'
				</td>
			</tr>
		</table>';;
		$ret = $text;
		return $ret;
	}

	function onLeftJoin()
	{
		$bills = JRequest::getVar('value_filter', array());
		$bills = @$bills['jcsbills'];
		if (count($bills)>0)
		{
			$sql[] = "LEFT JOIN #__jcs_bills AS jcs_b ON u.id = jcs_b.user_id";
			$sql[] = "LEFT JOIN #__jcs_bills_invoice AS jcs_bi ON u.id = jcs_bi.user_id ";
			return implode("\n" , $sql);
		}
	}

	function onBuildWhere()
	{
		$bills = JRequest::getVar('value_filter', array());
		$bills = @$bills['jcsbills'];

		if (count($bills)>0)
		{
			$sql =" (jcs_b.id IN (".implode(" , " , $bills).")  AND jcs_bi.bill_id IN (".implode(" , " , $bills)."))";
			return  $sql;
		}

	}


	function getBills()
	{

		$db = &JFactory::getDBO();
		$sql = "SELECT * FROM #__jcs_bills ORDER BY `id`";
		$db->setQuery($sql);
		return $db->loadObjectList();

	}

}
?>